%define	upstream_name	 Package-Constants
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Package Constants
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Package/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
"Package::Constants" lists all the constants defined in a certain pack- age.
This can be useful for, among others, setting up an autogenerated
"@EXPORT/@EXPORT_OK" for a Constants.pm file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Package/*
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-5.mga8
+ Revision: 1496209
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.60.0-4.mga7
+ Revision: 1270230
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-3.mga6
+ Revision: 1031602
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.60.0-2.mga6
+ Revision: 966704
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.60.0-1.mga6
+ Revision: 846582
- update to 0.06

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 743836
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 685848
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 0.40.0-2.mga5
+ Revision: 634034
- perl 5.20 rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.40.0-1.mga5
+ Revision: 585221
- update to 0.04

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 513872
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 371337
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 22710
- cleaning spec file
- imported package perl-Package-Constants


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.0
+ Revision: 408969
- rebuild using %%perl_convert_version

* Tue Dec 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdv2009.1
+ Revision: 314759
- update to new version 0.02

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.01-1mdv2009.0
+ Revision: 136330
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jun 22 2007 Buchan Milne <bgmilne@mandriva.org> 0.01-1mdv2008.0
+ Revision: 42865
- Import perl-Package-Constants



* Thu Jun 21 2007 Buchan Milne <bgmilne@mandriva.org> 0.01-1mdv2007.1
- initial package
